VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmOptions 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Options"
   ClientHeight    =   4920
   ClientLeft      =   2460
   ClientTop       =   1920
   ClientWidth     =   6150
   HelpContextID   =   2000
   Icon            =   "frmOptions.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4920
   ScaleWidth      =   6150
   ShowInTaskbar   =   0   'False
   WhatsThisButton =   -1  'True
   WhatsThisHelp   =   -1  'True
   Begin VB.CommandButton cmdHelp 
      Caption         =   "Help"
      Height          =   375
      Left            =   4920
      TabIndex        =   10
      Top             =   4440
      Width           =   1095
   End
   Begin VB.PictureBox picOptions 
      BorderStyle     =   0  'None
      Height          =   3780
      Index           =   0
      Left            =   240
      ScaleHeight     =   3780
      ScaleWidth      =   5685
      TabIndex        =   4
      TabStop         =   0   'False
      Top             =   480
      Width           =   5685
      Begin VB.Frame fraAutoCleaning 
         Caption         =   "Auto-&cleaning"
         Height          =   1185
         Left            =   240
         TabIndex        =   5
         Top             =   120
         Width           =   5295
         Begin VB.CheckBox chkDisableAutoCln 
            Caption         =   "&Disable Auto-cleaning"
            Height          =   255
            Left            =   240
            TabIndex        =   9
            Top             =   360
            WhatsThisHelpID =   1008
            Width           =   1935
         End
         Begin VB.TextBox txtAutoClnInterval 
            Height          =   285
            Left            =   4200
            TabIndex        =   7
            Top             =   720
            WhatsThisHelpID =   1009
            Width           =   375
         End
         Begin VB.Label AutoClnLabel2 
            Caption         =   "days."
            Height          =   255
            Left            =   4680
            TabIndex        =   8
            Top             =   720
            WhatsThisHelpID =   1009
            Width           =   495
         End
         Begin VB.Label AutoClnLabel1 
            Caption         =   "Automatically scan for and clean invalid entries &every"
            Height          =   255
            Left            =   240
            TabIndex        =   6
            Top             =   720
            WhatsThisHelpID =   1009
            Width           =   3855
         End
      End
   End
   Begin VB.CommandButton cmdApply 
      Caption         =   "&Apply"
      Height          =   375
      Left            =   3720
      TabIndex        =   3
      Top             =   4440
      Width           =   1095
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2520
      TabIndex        =   2
      Top             =   4440
      Width           =   1095
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   1320
      TabIndex        =   1
      Top             =   4440
      Width           =   1095
   End
   Begin MSComctlLib.TabStrip tbsOptions 
      Height          =   4245
      Left            =   105
      TabIndex        =   0
      Top             =   120
      Width           =   5895
      _ExtentX        =   10398
      _ExtentY        =   7488
      _Version        =   393216
      BeginProperty Tabs {1EFB6598-857C-11D1-B16A-00C0F0283628} 
         NumTabs         =   1
         BeginProperty Tab1 {1EFB659A-857C-11D1-B16A-00C0F0283628} 
            Caption         =   "General"
            Key             =   "General"
            Object.ToolTipText     =   "Set general options"
            ImageVarType    =   2
         EndProperty
      EndProperty
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
End
Attribute VB_Name = "frmOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' API declaration begin
Private Const HELP_CONTEXT = &H1          '  Display topic in ulTopic
Private Declare Function WinHelp Lib "user32" Alias "WinHelpA" _
   (ByVal hwnd As Long, _
   ByVal lpHelpFile As String, _
   ByVal wCommand As Long, _
   ByVal dwData As Long) As Long
' API declaration end

Public m_oAutoClnDisabled As Boolean
Public m_oAutoClnInterval As Integer

Private Sub LoadData()
    txtAutoClnInterval = LTrim(Str(m_oAutoClnInterval))
    If m_oAutoClnDisabled Then
        chkDisableAutoCln.Value = 1
        EnableAutoClnCtrls False
    Else
        chkDisableAutoCln.Value = 0
        EnableAutoClnCtrls True
    End If
End Sub

Private Function SaveData()
    Dim errorOccurred As Boolean
    SaveData = True
    errorOccurred = False
    On Error GoTo Handler
    If chkDisableAutoCln.Value = 1 Then
        m_oAutoClnDisabled = True
    Else
        m_oAutoClnDisabled = False
        m_oAutoClnInterval = CInt(txtAutoClnInterval)
        If errorOccurred Or m_oAutoClnInterval <= 0 Then
            MsgBox "Please set a positive value as the auto-cleaning interval."
            SaveData = False
            Exit Function
        End If
    End If
    Exit Function
Handler:
    errorOccurred = True
    Resume Next
End Function

Private Sub EnableAutoClnCtrls(toEnable As Boolean)
    AutoClnLabel1.Enabled = toEnable
    txtAutoClnInterval.Enabled = toEnable
    AutoClnLabel2.Enabled = toEnable
End Sub

Private Sub chkDisableAutoCln_Click()
    If chkDisableAutoCln.Value = 1 Then
        EnableAutoClnCtrls False
    ElseIf chkDisableAutoCln.Value = 0 Then
        EnableAutoClnCtrls True
    End If
End Sub

Private Sub cmdApply_Click()
    If SaveData Then
        MainForm.ApplyOptions
    End If
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdHelp_Click()
    WinHelp Me.hwnd, App.HelpFile, HELP_CONTEXT, Me.HelpContextID
End Sub

Private Sub cmdOK_Click()
    If SaveData Then
        MainForm.ApplyOptions
        Unload Me
    End If
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    Dim i As Integer
    'handle ctrl+tab to move to the next tab
    If Shift = vbCtrlMask And KeyCode = vbKeyTab Then
        i = tbsOptions.SelectedItem.Index
        If i = tbsOptions.Tabs.count Then
            'last tab so we need to wrap to tab 1
            Set tbsOptions.SelectedItem = tbsOptions.Tabs(1)
        Else
            'increment the tab
            Set tbsOptions.SelectedItem = tbsOptions.Tabs(i + 1)
        End If
    End If
End Sub

Private Sub Form_Load()
    'center the form
    Me.Move (Screen.Width - Me.Width) / 2, (Screen.Height - Me.Height) / 2
    ' Load data.
    LoadData
End Sub

Private Sub tbsOptions_Click()
    
    Dim i As Integer
    'show and enable the selected tab's controls
    'and hide and disable all others
    For i = 0 To tbsOptions.Tabs.count - 1
        If i = tbsOptions.SelectedItem.Index - 1 Then
            picOptions(i).Left = 210
            picOptions(i).Enabled = True
        Else
            picOptions(i).Left = -20000
            picOptions(i).Enabled = False
        End If
    Next
    
End Sub
